package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BusFdfxjyq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 分段分相绝缘器
* @author wuhonghao
* @date 2021/10/13
*/
@Mapper
@Repository
public interface BusFdfxjyqMapper {

    /**
    * 新增
    */
    int insert(BusFdfxjyq busFdfxjyq);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusFdfxjyq busFdfxjyq);

    /**
    * 获取单个
    */
    BusFdfxjyq getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusFdfxjyq> getList(BusFdfxjyq busFdfxjyq);

}
